<!-- <div class="card">
    <div class="card-header">
        <h2 class="card-title">Login</h2>
    </div>
    <div class="card-body">
        <form #form="ngForm" (submit)="submitForm(form)" novalidate>
            <div class="form-group">
                <label for="username">User name</label>
                <input id="username" type="text" required name="username" [(ngModel)]="model.username" [class.is-invalid]="username.invalid && username.touched" #username="ngModel" class="form-control" placeholder="User name">
                <div *ngIf="username.invalid && username.touched">
                    <div class="alert alert-danger"  *ngIf="username.errors['required']">
                        Name is required.
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label for="password">Password</label>
                <input id="password" type="password" required name="password" [(ngModel)]="model.password" [class.is-invalid]="password.invalid && password.touched" #password="ngModel" class="form-control" placeholder="Password">
                <div *ngIf="password.invalid && password.touched">
                    <div class="alert alert-danger"  *ngIf="password.errors['required']">
                        Password is required.
                    </div>
                </div>
            </div>

            <div class="form-check">
                <label>
          <input type="checkbox" name="rememberMe" [(ngModel)]="model.rememberMe"> Remember me
        </label>
            </div>

            <div class="form-group">
                <button type="submit" class="btn btn-primary" [disabled]="form.invalid ">Login</button>
            </div>

            <div *ngIf="error" class="alert alert-danger " role="alert ">
                {{error}}
            </div>
        </form>
    </div>
</div> -->


<mat-card class="example-card">
    <mat-card-header class="header-card">
        <!-- <div mat-card-avatar class="example-header-image"></div> -->
        <mat-card-title>
            <h4>
                ورود به سامانه
            </h4>
        </mat-card-title>
        <!-- <mat-card-subtitle>Dog Breed</mat-card-subtitle> -->
    </mat-card-header>
    <!-- <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu"> -->
    <mat-card-content>
        <form #form="ngForm" (submit)="submitForm(form)">
            <div class="form-group">
                <label for="username">نام کاربری</label>
                <input id="username" type="text" required name="username" [(ngModel)]="model.username" [class.is-invalid]="username.invalid && username.touched" #username="ngModel" class="form-control" placeholder="نام کاربری">
                <div *ngIf="username.invalid && username.touched">
                    <div class="alert alert-danger"  *ngIf="username.errors?.required">
                        لطفاً نام کاربری را وارد کنید
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label for="password">نام کاربری</label>
                <input id="password" type="password" required name="password" [(ngModel)]="model.password" [class.is-invalid]="password.invalid && password.touched" #password="ngModel" class="form-control" placeholder="کلمه عبور">
                <div *ngIf="username.invalid && username.touched">
                    <div *ngIf="password.invalid && password.touched">
                        <div class="alert alert-danger"  *ngIf="password.errors?.required">
                            لطفاً کلمه عبور را وارد کنید
                        </div>
                    </div>
                </div>
                <div class="form-check">
                    <!-- <label> -->
                    <mat-checkbox name="rememberMe" [(ngModel)]="model.rememberMe">مرا به خاطر داشته باش</mat-checkbox>
                    <!-- <input type="checkbox" name="rememberMe" [(ngModel)]="model.rememberMe"> مرا به خاطر داشه باش -->
                    <!-- </label> -->
                </div>
            </div>
            <div class="form-group">
                <button type="submit" mat-raised-button color="primary" [disabled]="form.invalid " mat-buttoncolor="primary">ورود</button>
                <div *ngIf="error" class="alert alert-danger " role="alert ">
                    {{error}}
                </div>
            </div>
        </form>
    </mat-card-content>
    <!-- <mat-card-actions>
    <button mat-button>LIKE</button>
    <button mat-button>SHARE</button>
</mat-card-actions> -->
</mat-card>